pipeline:

  # Collect map data
  - reader.YAMLReader:
      filename: examples/sin2psi/map.yaml
      schema: MapConfig
  - processor.MapProcessor
  - writer.NexusWriter:
      filename: examples/sin2psi/map.nxs
      force_overwrite: true

  # Integrate map detector data
  - reader.MultipleReader:
      readers:
        - YAMLReader:
            filename: examples/sin2psi/map.yaml
            schema: MapConfig
        - YAMLReader:
            filename: examples/sin2psi/integration.yaml
            schema: IntegrationConfig
  - processor.IntegrateMapProcessor
  - writer.NexusWriter:
      filename: examples/sin2psi/integrated_detector_data.nxs
      force_overwrite: true

  # Compute sample strain map
  - reader.MultipleReader:
      readers:
        - NexusReader:
            filename: examples/sin2psi/integrated_detector_data.nxs
        - YAMLReader:
            filename: examples/sin2psi/strain_analysis_config.yaml
            schema: StrainAnalysisConfig
  - processor.StrainAnalysisProcessor
  - writer.YAMLWriter:
      filename: examples/sin2psi/sample_strain_data.yaml
      force_overwrite: true

